Set-contest:        Central European 1998 ACM Contest
Set-name:           Central European 1998 ACM Contest
Set-date:           1998
Set-URL:            http://contest.felk.cvut.cz
Set-id:             cerc1998
Set-description:    Central European 1998 ACM Contest
Set-text:           cerc.html
Set-archive:        set_cerc1998.tgz
Set-solution-archive: cerc1998.tgz

Problem:            Adding
Name:               Adding Reverse Numbers 
Description:        adding reverse numbers
Class:              numbers
Subclass:           long numbers
Algorithm:          simple
Solution:           a.c
Input:              a.in
Output:             a.out
Input-generator:    a_gen.c

Problem:            Books
Name:               Copying Books
Description:        splitting numbers in groups in order to minimize their sums
Class:              combinatory 
Subclass:           sequences
Algorithm:          dynamic programming
Solution:           b.c
Input:              b.in
Output:             b.out
Input-generator:    b_gen.c

Problem:            Cipher
Name:               Substitution Cipher
Description:        determining ordering of letters from the sorted dictionary
Class:              combinatory
Subclass:           permutation
Algorithm:          creature of a graph from the dictionary and determining the ordering from it
Solution:           c.c
Input:              c.in
Output:             c.out
Input-generator:    c_gen.c

Problem:            Dellarte
Name:               Commedia dell'arte
Description:        Lloyd's Fifteen Puzzle in 3D
Class:              combinatory
Subclass:           permutation
Algorithm:          counting cycles in permutation
Solution:           d.c
Input:              d.in
Output:             d.out
Input-generator:    d_gen.c

Problem:            Expr
Name:               Calculating Expressions on Turing Machine
Description:        creating a turing machine for given problems
Class:              compilers
Subclass:           expression
Algorithm:          direct generating
Solution:           e.c
Input:              e.in
Output:             e.out
Input-generator:    e_gen.c
Judge:              e_jdg.c

Problem:            Floors
Name:               Skyscraper Floors
Description:        finding a elevator route in the skyscraper
Class:              graphs
Subclass:           connectivity
Algorithm:          graph search
Solution:           f.c
Input:              f.in
Output:             f.out
Input-generator:    f_gen.c

Problem:            Glass
Name:               Glass Beads
Description:        finding a special position in a cyclic permutation
Class:              combinatory
Subclass:           sequences
Algorithm:          simple
Solution:           g.c
Input:              g.in
Output:             g.out
Input-generator:    g_gen.c

Problem:            Hares
Name:               Hares and Foxes
Description:        simulation of growth of animal population
Class:              simulations
Subclass:           robots
Algorithm:          counting eigenvalues and solving equations
Solution:           h.c
Input:              h.in
Output:             h.out
Input-generator:    h_gen.c

Problem:            Invite
Name:               Invitation Cards
Description:        finding shortest path in a graph
Class:              graphs
Subclass:           shortest path
Algorithm:          graph search
Solution:           i.c
Input:              i.in
Output:             i.out
Input-generator:    i_gen.c
